/**
 * @file
 * Custom admin-side JS for the webtexttool module.
 */

(function webtexttoolAdmin($) {
  Drupal.behaviors.webtexttooladmin = {
    attach(context, settings) {
      let wait;

      // toggle
      document
        .querySelectorAll(".wtt-label:not([data-toggleable])")
        .forEach(function (label) {
          label.dataset.toggleable = true;

          const toggle = function () {
            label.parentNode.classList.toggle("active");
          };

          label.addEventListener("click", toggle);
        });

      // add event handler once for each info-item:
      document
        .querySelectorAll(
          "#webtexttool-analyse .info-item:not([data-clickable])"
        )
        .forEach(function (item) {
          item.dataset.clickable = true;
        });

      // Only executing on pageload
      if (context === document) {
        if ($("#webtexttool-tabs-wrapper").length) {
          $("#webtexttool-tabs-wrapper").once().tabs();
        }
        // Start analysing.
        $("#edit-analyse-seo").triggerHandler("click");
        $(".node-form").keypress(function () {
          clearTimeout(wait);
          wait = setTimeout(function () {
            $("#edit-analyse-seo").triggerHandler("click");
          }, 1000);
        });

        if (typeof CKEDITOR !== "undefined") {
          CKEDITOR.on("instanceReady", function (ev) {
            const { editor } = ev;
            // Check if there is a change on the editor.
            editor.on("change", function () {
              clearTimeout(wait);
              wait = setTimeout(function () {
                $("#edit-analyse-seo").triggerHandler("click");
              }, 1000);
            });
          });
        }
      }
    },
  };
})(jQuery);
