/**
 * @file
 * Custom node type JS for the webtexttool module.
 */

(function webtexttoolVerticalNodeType($) {
  Drupal.behaviors.webtexttool_vertical_node_type = {
    attach(context) {
      // Provide the summary for the node type form.
      $("fieldset.webtexttool-node-type-settings-form", context)
        // eslint-disable-next-line no-shadow
        .drupalSetSummary(function (context) {
          const vals = [];

          const webtexttoolEnabled = $(
            ".form-item-webtexttool-enabled input:checked",
            context
          )
            .next("label")
            .text();

          if (webtexttoolEnabled) {
            vals.push(webtexttoolEnabled);
          }

          return Drupal.checkPlain(vals.join(" "));
        });
    },
  };
})(jQuery);
