/**
 * @file
 * Custom admin-side JS for the webtexttool module.
 */

(function webtexttoolSettingsPositioning($, Drupal) {
  /**
   * @return {void}
   */
  Drupal.behaviors.webtexttoolSettingsPositioning = {
    attach() {
      const elements = document.querySelectorAll(
        "[data-javascript-positioning-selector]"
      );

      elements.forEach((element) => {
        const key = element.getAttribute(
          "data-javascript-positioning-selector"
        );

        const placeholder = document.querySelector(
          `[data-javascript-positioning-placeholder="${key}"]`
        );

        if (placeholder) {
          placeholder.parentNode.insertBefore(element, placeholder.nextSibling);
          placeholder.remove();
        }
      });
    },
  };
})(jQuery, Drupal);
